Pulp - Issue #6457
Story # 6134 (CLOSED - CURRENTRELEASE): [EPIC] Pulp import/export
Story # 6135 (CLOSED - CURRENTRELEASE): As a user, | can export a set of repository versions to a file, and have that file saved to disk.
PulpExporter serializer should display hrefs for repositories[]
04/07/2020 03:39 PM - ggainey

Status: CLOSED - CURRENTRELEASE Start date:
Priority: Normal Due date:
Assignee: daviddavis Estimated time: 0:00 hour
Category:
Sprint/Milestone: 3.4.0
Severity: 2. Medium Groomed: Yes
Version: Sprint Candidate: Yes
Platform Release: Tags:
0sS: Sprint:
Triaged: Yes Quarter:
Description
Current:
{
"last_export": "/pulp/api/v3/exporters/core/pulp/cbf77d7d-fc65-4842-al162-31fe75672a29/exports/
f4fe9eb3-3c2c—-4934-9¢c81-5%9ada6925e7d/",
"name": "test-exporter",
"path": "/tmp/exports/",

"pulp_created": "2020-04-07T13:35:03.5329662",
"pulp_href": "/pulp/api/v3/exporters/core/pulp/cbf77d7d-£c65-4842-a162-31fe75672a29/",
"repositories": [

"42368ccc-d5df-491a-a95a-3da729f305ee",

"e5d0f7fa-506a-4£72-99df-d995360d548b"

Change repositories[] output to hrefs makes for a more RESTful experience

Associated revisions

Revision 120eb799 - 04/16/2020 08:30 PM - daviddavis

Changing repositories on PulpExporter to href field

fixes #6457

History

#1 - 04/16/2020 08:25 PM - daviddavis
- Status changed from NEW to ASSIGNED

- Assignee set to daviddavis

#2 - 04/16/2020 08:26 PM - pulpbot
- Status changed from ASSIGNED to POST

PR: https://github.com/pulp/pulpcore/pull/651

#3 - 04/17/2020 07:31 PM - daviddavis
- Status changed from POST to MODIFIED

Applied in changeset pulpcore|120eb7994d8336349476¢5193d0ca8ef8097ce8c.
https://github.com/pulp/pulpcore/pull/651
https://pulp.plan.io/projects/pulp/repository/pulpcore/revisions/120eb7994d8336349476c5193d0ca8ef8097ce8c

#4 - 05/27/2020 09:28 PM - dkliban@redhat.com
- Sprint/Milestone set to 3.4.0

#5 - 05/28/2020 04:23 PM - dkliban@redhat.com
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
